[Launch]
ProgramExecutable=VueScan\VueScan.exe
ProgramExecutable64=VueScan64\VueScan.exe
RunAsAdmin=compile-force
SinglePortableAppInstance=true
SingleAppInstance=false
WorkingDirectory=%VUESCAN%
DirectoryMoveOK=yes
SupportsUNC=yes

[Activate]
Registry=true

[RegistryKeys]
VueScan=HKCU\Software\VueScan
HKLM=HKLM\Software\VueScan
-=HKCU\Software\Microsoft\ActiveMovie\devenum
-=HKCU\Software\Microsoft\Multimedia
-=HKCU\Software\Microsoft\Windows NT\CurrentVersion\AppCompatFlags\Compatibility Assistant\Store
-=HKLM\SYSTEM\CurrentControlSet\services\MSPQM
-=HKLM\SOFTWARE\Classes\Interface\{618736E0-3C3D-11CF-810C-00AA00389B71}
-=HKLM\SOFTWARE\Classes\Wow6432Node\Interface\{618736E0-3C3D-11CF-810C-00AA00389B71}

[RegistryValueWrite]
HKCU\Software\VueScan\license\ActivationKey\=REG_SZ:114195509
HKCU\Software\VueScan\license\CustomerNumber\=REG_SZ:1111822112
HKCU\Software\VueScan\license\EmailAddress\=REG_SZ:easy@home.com
HKCU\Software\VueScan\license\UserID\=REG_SZ:d2b4e0cd-72f6-49dc-a3f5-d609eefb5d06
HKLM\Software\VueScan\license\ActivationKey\=REG_SZ:114195509
HKLM\Software\VueScan\license\CustomerNumber\=REG_SZ:1111822112
HKLM\Software\VueScan\license\EmailAddress\=REG_SZ:easy@home.com
HKLM\Software\VueScan\license\UserID\=REG_SZ:d2b4e0cd-72f6-49dc-a3f5-d609eefb5d06

[DirectoriesMove]
twain_32=%WINDIR%\twain_32
twain_64=%WINDIR%\twain_64
scadrv60.inf_x86=%windir%\System32\DriverStore\FileRepository\scadrv60.inf_x86_07bbc3a0dff14fd2
scadrv60.inf_amd64=%windir%\System32\DriverStore\FileRepository\scadrv60.inf_amd64_07bbc3a0dff14fd2

[FilesMove]
settings\Sti_Trace.log=%USERPROFILE%
settings\vuescan.log=%VUESCAN%
settings\vuescan.ini=%VUESCAN%

[RegistryCleanupIfEmpty]
1=HKCU\Software\VueScan
2=HKLM\Software\VueScan
3=HKCU\Software\Microsoft\Multimedia\ActiveMovie\Filter Cache64
4=HKCU\Software\Microsoft\Multimedia\ActiveMovie\Filter Cache
5=HKLM\Software\Wow6432Node\VueScan

[RegistryCleanupForce]
1=HKLM\SOFTWARE\WOW6432Node\Microsoft\Cryptography\DRM_RNG
